STRSIGNAL(3)

NAME
strsignal - convert signal number to string

SYNOPSIS

#include <string.h>

char *strsignal(int signal);

DESCRIPTION

strsignal converts the signal number signal into a string. If signal is not a known signal number, the result will be of the form "Unknown signal NN" where NN is the signal is a decimal number.

RETURNS

This function returns a pointer to a string. Your application must not modify that string.

PORTABILITY

POSIX.1-2008 C requires strsignal, but does not specify the strings used for each signal number.

strsignal requires no supporting OS subroutines.